# Paywall Webhook

**Paywall.exit:** This event is triggered when the users saw the paywall but decided not to continue.

> Please note that this data may not always be precise because this event can be skipped in many special situations.

```json
{
  "entity": "event",
  "user_id": "65e01bd8d03692125f1f353d",
  "event": "paywall.exit",
  "contains": [
    "paywall",
    "user"
  ],
  "payload": {
    "user": {
      "phoneNumber": "9892898898",
      "userId": "65e01bd8d03692125f1f353d",
      "country": "IN",
      "address": {
        "apartment": "",
        "area": "",
        "pincode": "",
        "landmark": "",
        "city": "",
        "state": "",
        "country": ""
      },
      "name": "",
      "city": "new delhi (okhla phase i)",
      "location": {
        "latitude": 28.5223,
        "longitude": 77.2849,
        "postcode": "110001"
      },
      "username": "9892898898"
    }
  },
  "client_info": {
    "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/121.0.0.0 Safari/537.36",
    "country": "India",
    "countryCode": "IN",
    "deviceType": "desktop",
    "deviceModel": "Macintosh"
  },
  "created_at": 1709186212
}
```

**Paywall.click:** This event is triggered when the users click on one of the CTAs of the paywall.

```json
{
  "entity": "event",
  "user_id": "65e01bd8d03692125f1f353d",
  "event": "paywall.click",
  "contains": [
    "action",
    "paywall",
    "user"
  ],
  "payload": {
    "action": {
      "clickAction": "CONTENT",
      "numCta": 3,
      "pageUrl": "https://dashboards.conscent.art/overlay?clientId=65015ff10070846629fb981e&anonId=4a92915b-a0ee-413d-9526-cfdb064caf7b&paywallId=65cb7057e57605058015b407&userSourceData=DIRECT&clientContentId=Client-Story-Id-2&hide=000&pageUrl=https%253A%252F%252Fcsc-mock.netlify.app%252F65015ff10070846629fb981e%252FClient-Story-Id-2&sessionId=65e01bdad03692125f1f3540&showLogin=true",
      "contentId": "Client-Story-Id-2"
    },
    "paywall": {
      "_id": "65cb7057e57605058015b407",
      "state": "SAVED",
      "enable": false,
      "deletedAt": null,
      "clientId": "65015ff10070846629fb981e",
      "name": "inArticle BY Suyog",
      "createdAt": "2024-02-13T13:36:23.378Z",
      "updatedAt": "2024-02-14T12:52:00.520Z",
      "__v": 0,
      "version": "1"
    },
    "user": {
      "phoneNumber": "9892898898",
      "userId": "65e01bd8d03692125f1f353d",
      "country": "IN",
      "address": {
        "apartment": "",
        "area": "",
        "pincode": "",
        "landmark": "",
        "city": "",
        "state": "",
        "country": ""
      },
      "name": "",
      "city": "new delhi (okhla phase i)",
      "location": {
        "latitude": 28.5223,
        "longitude": 77.2849,
        "postcode": "110001"
      },
      "username": "9892898898"
    }
  },
  "client_info": {
    "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/121.0.0.0 Safari/537.36",
    "country": "India",
    "countryCode": "IN",
    "deviceType": "desktop",
    "deviceModel": "Macintosh"
  },
  "created_at": 1709186668
}

```

**Paywall.view:**  This event is triggered when the users view the paywall.

```json
{
  "entity": "event",
  "user_id": "65e01bd8d03692125f1f353d",
  "event": "paywall.view",
  "contains": [
    "action",
    "paywall",
    "user"
  ],
  "payload": {
    "action": {
      "numCta": 3,
      "pageUrl": "https://dashboards.conscent.art/overlay?clientId=65015ff10070846629fb981e&anonId=4a92915b-a0ee-413d-9526-cfdb064caf7b&paywallId=65cb7057e57605058015b407&userSourceData=DIRECT&clientContentId=Client-Story-Id-2&hide=000&pageUrl=https%253A%252F%252Fcsc-mock.netlify.app%252F65015ff10070846629fb981e%252FClient-Story-Id-2&sessionId=65e01bdad03692125f1f3540&showLogin=true",
      "contentId": "Client-Story-Id-2"
    },
    "paywall": {
      "_id": "65cb7057e57605058015b407",
      "state": "SAVED",
      "enable": false,
      "deletedAt": null,
      "clientId": "65015ff10070846629fb981e",
      "name": "inArticle BY Suyog",
      "createdAt": "2024-02-13T13:36:23.378Z",
      "updatedAt": "2024-02-14T12:52:00.520Z",
      "__v": 0,
      "version": "1"
    },
    "user": {
      "phoneNumber": "9892898898",
      "userId": "65e01bd8d03692125f1f353d",
      "country": "IN",
      "address": {
        "apartment": "",
        "area": "",
        "pincode": "",
        "landmark": "",
        "city": "",
        "state": "",
        "country": ""
      },
      "name": "",
      "city": "New Delhi (Okhla phase i)",
      "location": {
        "latitude": 28.5223,
        "longitude": 77.2849,
        "postcode": "110001"
      },
      "username": "9892898898"
    }
  },
  "client_info": {
    "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/121.0.0.0 Safari/537.36",
    "country": "India",
    "countryCode": "IN",
    "deviceType": "desktop",
    "deviceModel": "Macintosh"
  },
  "created_at": 1709186393
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/new-webhooks/paywall-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
